<!DOCTYPE html>
<html>
  <head>
    <title>em.def blog</title>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Helvetica:300,400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../main.css">
  </head>

  <body>
    <header class="container-fluid">
      <div class="row">
        <h1 class="col-sm-4"  style="color:#202020">e<a href="../index.html">m.def</a></h1>
        <nav class="col-sm-12 text-right">
          <a href="https://gitlab.com/mitaleeparikh/mitalee.parikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20"></a>
            &ensp;
          <a href="mailto:emaitee@gmail.com"><img class="img-fit" src="../meta/icons/005-diamond.png" height="20" width="20"></a>
        </nav>
      </div>
    </header>

    <section class="row">
      <section class="col-md-3">
           <nav id="leftnav">
            <a href="../fabacademy/pppm.html">Principles, Practices and Project Management</a><br>
            <a href="../fabacademy/cad.html">Computer-aided Design</a><br>
            <a href="../fabacademy/ccc.html">Computer-controlled Cutting</a><br>
            <a href="../fabacademy/ep.html">Electronics Production</a><br>
            <a href="../fabacademy/3dps.html">3D printing and scanning</a><br>
            <a href="../fabacademy/ed.html">Electronics Design</a><br>
            <a href="../fabacademy/ccm.html">Computer-controlled Machining</a><br>
            <a href="../fabacademy/mc.html">Molding and Casting</a><br>
            <a href="../fabacademy/wc.html">Wild Card Week</a><br>
            <a href="../fabacademy/iipi.html">Invention, Intellectual Property and Income</a><br>
            <a href="../fabacademy/input.html">Inputs</a><br>
            <a href="../fabacademy/output.html">Outputs</a><br>
            <a href="../fabacademy/mdef.fp.html">MDEF Final Project</a><br>

          </nav>
      </section>

      <section class="col-md-6">

        <h1>Input Devices</h1>

        This week I used an arduino Uno to snese temperature by touch.

      <p>For reference, I used the Arduino love-o-meter project as it used the temperature sensor.</p>

      <p> I started by collecting all the components.</p>

      <img class="img-fit" src="../fabacademy/images/input/shopping.jpeg"><br><br>

      <p>I used this schematic to connect everything.</p><br>
      <img class="img-fit" src="../fabacademy/images/input/schematic.jpeg"><br><br>

      <p>The circuit setup was fairly easy. This is how it looks.</p><br>
      <img class="img-fit" src="../fabacademy/images/input/setup.jpeg"><br><br>

      <p>At first all lights were continuously on. I checked the serial monitor and saw that the temperature was around 26 degrees without touching. So I adjusted the baseline temperature to 25 in the sketch. After some trial and error, I adjusted the sketch so that on touching it lightly for about 5 seconds, the second led lit up and on holding it tight for some seconds the third led lit up. The serial monitor indicated temperature range from 26-32 degrees.
        So an increment of 2-4-6 degrees worked out perfectly.</p><br>

      <img class="img-fit" src="../fabacademy/images/input/serial.jpeg"><br><br>

      <p>This is it in action.</p>
      <img class="img-fit" src="../fabacademy/images/input/hot.gif"><br><br>

      <h4>Code</h4>
      <a href="../fabacademy/images/input/3leds.zip">Sketch</a>

      <h4>Tutorials</h4>
      <a href="https://create.arduino.cc/projecthub/godboi123/love-o-meter-bda552">Arduino Project</a>


      </section>

    </section>

    <div class="footer">
        <div class="row">
        <div class="col-md-2">
          <p>&copy; 2019-20 <a href="https://www.linkedin.com/in/mitaleeparikh">Mitalee Parikh</a></p>
        </div>
        <div class="col-md-7">
          <p>This site is a documentation of my work done in 2019-2020 as a part of the <a href="https://mdef.iaac.net">Master in Design for Emergent Futures</a> programme at the <a href="https://iaac.net/educational-programmes/masters-programmes/master-in-design-for-emergent-futures-mdef/">Institute of Advanced Architecture of Catalonia</a> and <a href="https://elisava.net/en">Elisava Barcelona School of Design and Engineering</a> in collaboration with <a href="https://fabacademy.org/">FabAcademy.</p>
        </div>
        <div class="col-md-2">
        </div>
        <div class="col-md-1">
          <a href="https://www.instagram.com/emaitee/"><img class="img-fit" src="../meta/icons/011-cd.png" height="20" width="20">&ensp;
          <a href="https://www.goodreads.com/review/list/5828563-mitalee-parikh?shelf=mdef"><img class="img-fit" src="../meta/icons/013-radar.png" height="20" width="20">&ensp;
          <a href="https://twitter.com/MitaleeParikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20">
        </div>
        </div>
    </div>

  </body>

</html>
